server {
    listen ${LISTEN_PORT};
    server_name ${SERVER_NAME};

    gzip on;
    gzip_min_length  1k;
    gzip_buffers     4 16k;
    gzip_http_version 1.1;
    gzip_comp_level 2;
    gzip_types     text/plain application/javascript application/x-javascript text/javascript text/css application/xml;
    gzip_vary on;
    gzip_proxied   expired no-cache no-store private auth;
    gzip_disable   "MSIE [1-6]\.";

    client_max_body_size 4000m;
    client_header_buffer_size 32k;
    large_client_header_buffers 4 32k;

    location /webapi/ {
      proxy_pass ${PROXY_PASS};
      proxy_set_header X-Real-IP $remote_addr;
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_set_header X-Forwarded-Proto http;
    }

    location / {
      root /html;
      index index.html;
      try_files $uri $uri/ /index.html;
    }
}
